Booking.com
Booking.com: Rooms
Rooms from Booking.com. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
booking
/
rooms
Rooms
curl --request GET \
--url https://api.perceptlayer.com/v1/booking/rooms \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/booking/rooms"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/booking/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/booking/rooms';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/booking/rooms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/booking/rooms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/booking/rooms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/booking/rooms")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "booking.rooms",
"params": {
"country": "fr",
"slug": "royal-saint-michel",
"checkin": "2026-11-20",
"checkout": "2026-11-23",
"group_adults": "2"
},
"response": {
"success": true,
"data": {
"title": "Royal Saint Michel, Paris (updated prices 2027)",
"canonical_url": "https://www.booking.com/hotel/fr/royal-saint-michel.html",
"rooms": [
{
"name": "Attic Single Room",
"price": "€ 978 € 588 Original price € 978 Current price € 588 € 326.12 × 3 nights € 978.35 Limited-time Deal - € 390.73 You're getting a discount because—for a limited time only—this property is offering reduced rates on rooms that match your search…",
"occupancy": "1 adult",
"beds": "1 twin bed",
"available": true
}
],
"total_rooms": 1,
"parsed": true
},
"meta": {
"url": "https://www.booking.com/hotel/fr/royal-saint-michel.html?checkin=2026-11-20&checkout=2026-11-23&group_adults=2",
"duration_ms": 2017.76,
"scraped_at": "2026-10-23T20:48:29+00:00",
"cached": false,
"booking_pool_attempts": 1,
"booking_pool_stages": [
"aws_waf_replay_success"
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Booking.com API overview for every Booking.com endpoint.
Authorizations
Query Parameters
Maximum string length:
4096Maximum string length:
2Maximum string length:
255Maximum string length:
10Maximum string length:
3Was this page helpful?
⌘I
Rooms
curl --request GET \
--url https://api.perceptlayer.com/v1/booking/rooms \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/booking/rooms"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/booking/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/booking/rooms';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/booking/rooms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/booking/rooms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/booking/rooms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/booking/rooms")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "booking.rooms",
"params": {
"country": "fr",
"slug": "royal-saint-michel",
"checkin": "2026-11-20",
"checkout": "2026-11-23",
"group_adults": "2"
},
"response": {
"success": true,
"data": {
"title": "Royal Saint Michel, Paris (updated prices 2027)",
"canonical_url": "https://www.booking.com/hotel/fr/royal-saint-michel.html",
"rooms": [
{
"name": "Attic Single Room",
"price": "€ 978 € 588 Original price € 978 Current price € 588 € 326.12 × 3 nights € 978.35 Limited-time Deal - € 390.73 You're getting a discount because—for a limited time only—this property is offering reduced rates on rooms that match your search…",
"occupancy": "1 adult",
"beds": "1 twin bed",
"available": true
}
],
"total_rooms": 1,
"parsed": true
},
"meta": {
"url": "https://www.booking.com/hotel/fr/royal-saint-michel.html?checkin=2026-11-20&checkout=2026-11-23&group_adults=2",
"duration_ms": 2017.76,
"scraped_at": "2026-10-23T20:48:29+00:00",
"cached": false,
"booking_pool_attempts": 1,
"booking_pool_stages": [
"aws_waf_replay_success"
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}